Download it now!
Bug 83565 - CONTEXT MENU: Add missing “wrap before” and “Wrap after” options
Summary: CONTEXT MENU: Add missing “wrap before” and “Wrap after” options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2014-09-06 17:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-12-28 13:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-06 17:01:04 UTC
Steps:
1) Open writer
2) Insert image
3) Right-Click on image
4) Under wrap submenu, there are no 'before' and 'after' options, which are found in the picture dialog's wrap tab, as well as in sidebar

Tested in 4.4 master on Linux.
Comment 1 Robinson Tryon (qubit) 2014-09-29 01:13:16 UTC
(In reply to comment #0)
> Steps:
> 1) Open writer
> 2) Insert image
> 3) Right-Click on image
> 4) Under wrap submenu, there are no 'before' and 'after' options, which are
> found in the picture dialog's wrap tab, as well as in sidebar

Hmm.. interesting. Same thing happens with Fontwork objects.

Status -> NEW
Comment 2 Cor Nouws 2014-11-17 22:08:37 UTC
(In reply to Jay Philips from comment #0)

> 4) Under wrap submenu, there are no 'before' and 'after' options, which are
> found in the picture dialog's wrap tab, as well as in sidebar

Isn't that Optimal wrap, or the other Page Wrap, and then depending on moving to either side?

I really like the handling via the context menu as it is now: simple and effective. I only see happy faces when I've introduced people to this.

So IMO, no need to change..

Other opinions?
Comment 3 Yousuf Philips (jay) (retired) 2014-12-18 14:04:56 UTC
Optimal page wrap works fine in some situations but not in others, which is why we have multiple page wrap options and we shouldnt remove hide these options from users and have them go into the dialog box in order to find it.
Comment 4 Commit Notification 2014-12-28 09:26:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab0ea507ef1e037fa347a7f2b3d99a1f83ddeba1

fdo#83565 addition of wrap left and wrap right to context menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.